<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 * @package DGWork
 */

get_header(); ?>

	<?php
	  /* Hook: dgwork_before_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>

			<section class="error-404 not-found">

				<div class="page-content">
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'dgwork' ); ?></p>
                    <br />
					<form role="search" method="get" id="searchform_default" class="searchform" action="<?php echo esc_url(home_url('/'));?>" >
					    <div class="dgw-search">
					    <input type="text" value="" name="s" id="s" />
					    <input type="submit" id="searchsubmit" value="" />
					    <input type="hidden" name="post_type" id="post_type_default" value="download" />
					    </div>
					</form>


				</div><!-- .page-content -->
			</section><!-- .error-404 -->

		<?php
		  /* Hook: dgwork_after_content
	       * @Hooked: dgwork_after_content();
		   */
		  do_action('dgwork_after_content');
		?>

<?php get_footer(); ?>