<?php
/**
 * The no sidebar template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @package DGWork
 */
get_header(); ?>
	
	<?php
	  /* Hook: dgwork_before_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>

		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php

					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'template-parts/content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php echo dgwork_pagenavi(); ?>

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>
	
	    <?php
	    /* Hook: dgwork_after_content
	     * @Hooked: dgwork_after_content();
	     */
		 do_action('dgwork_after_content');	 
	    ?>
  
<?php get_footer(); ?>