<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * * @package DGWork
 */

?>	
</div><!-- #page -->

<?php 
/**
 * Hook: dgwork_footer
 * @Hooked  dgwork_bottom_widgets()
 * @Hooked  dgwork_before_footer()
 * @Hooked  dgwork_copyright()
 * @Hooked  dgwork_after_footer()
 */
 do_action('dgwork_footer');

 /* Popup */
 get_template_part( 'template-parts/popup');
 
 /* Mobile Menu
  * It will only display at the right side when view the website on mobile.
  */
 get_template_part( 'template-parts/mobile-menu');

 /* Bellet_links */
 dgwork_bullet_links();

 wp_footer(); ?>
</body>
</html>