var jQuery;

jQuery(document).ready(function($){
	$('#redux-header').prepend('<div class="hide_rAds"></div>');
	$('.hide_rAds').css({
		width: '500px',
		height: '140px',
		background: 'rgb(34, 34, 34)',
		position: 'absolute',
		top: '0',
		right: '0',
		zIndex: '9999'
	});
	setTimeout(function(){
		$('#redux_rAds').remove();
	},2000);

	//Product Custom Options
    var preview_type_selector=$('#_dgwork_preview_type');
	
	function preview_type(){
	  if(preview_type_selector.val()=='pictures'){
		$('.cmb2-id--dgwork-preview-pictures').show();
		$('.cmb2-id--dgwork-preview-video,.cmb2-id--dgwork-video-url,.cmb2-id--dgwork-preview-audio,.cmb2-id--dgwork-disable-theme-player').hide();
	  }
	  
	  if(preview_type_selector.val()=='video'){
		$('.cmb2-id--dgwork-preview-video,.cmb2-id--dgwork-disable-theme-player').show();
		$('.cmb2-id--dgwork-preview-pictures,.cmb2-id--dgwork-video-url,.cmb2-id--dgwork-preview-audio').hide();
	  }

	  if(preview_type_selector.val()=='video_file'){
		$('.cmb2-id--dgwork-video-url').show();
		$('.cmb2-id--dgwork-preview-pictures,.cmb2-id--dgwork-disable-theme-player,.cmb2-id--dgwork-preview-video,.cmb2-id--dgwork-preview-audio').hide();
	  }
	  
	  if(preview_type_selector.val()=='audio'){
		$('.cmb2-id--dgwork-preview-audio').show();
		$('.cmb2-id--dgwork-preview-pictures,.cmb2-id--dgwork-video-url,.cmb2-id--dgwork-preview-video,.cmb2-id--dgwork-disable-theme-player').hide();
	  }

	  if(preview_type_selector.val()=='featured'){
		$('.cmb2-id--dgwork-preview-audio,.cmb2-id--dgwork-preview-pictures,.cmb2-id--dgwork-video-url,.cmb2-id--dgwork-preview-video,.cmb2-id--dgwork-disable-theme-player').hide();
	  }
	  
	}preview_type();
	

	preview_type_selector.change(function(){
		 preview_type();
	});

	//Product Template Options
    var product_template=$('#_dgwork_product_template');
	
	function product_template_options(){
	  if(product_template.val()=='3'){
		$('body').addClass('minimal_product_template');
	  }else{
	  	$('body').removeClass('minimal_product_template');
	  }
	  
	}product_template_options();
	
	product_template.change(function(){
		 product_template_options();
	});

	//Page Custom Options
    var page_template_selector=$('#page_template');
	
	function page_option(){
	  if(page_template_selector.val()=='page-templates/page-account.php'){
		$('.cmb2-id--dgwork-page-header-tagline,.cmb2-id--dgwork-bullets-link').hide();
		$('.cmb2-id--dgwork-page-header-background').show();
	  }else if(page_template_selector.val()=='page-templates/page-blank.php'){
        $('.cmb2-id--dgwork-page-header-background,.cmb2-id--dgwork-page-header-tagline').hide();
        $('.cmb2-id--dgwork-bullets-link').show();
      }else if(page_template_selector.val()=='page-templates/page-blank-header.php'){
        $('.cmb2-id--dgwork-page-header-background,.cmb2-id--dgwork-page-header-tagline,.cmb2-id--dgwork-bullets-link').show();
      }else if(page_template_selector.val()=='default'){
	  	$('.cmb2-id--dgwork-page-header-background,.cmb2-id--dgwork-page-header-tagline').show();
	  	$('.cmb2-id--dgwork-bullets-link').hide();
	  }else{
	  	$('.cmb2-id--dgwork-bullets-link').hide();
	  	$('.cmb2-id--dgwork-page-header-background,.cmb2-id--dgwork-page-header-tagline').show();
	  }
	  
	}page_option();
	

	page_template_selector.change(function(){
		 page_option();
	});

	$('#hightlight_header_alignment').on('click',function(){
		$('.cmb2-id--dgwork-page-header-text-aligned').css({
			background:'#fff1f1',
			paddingLeft:'15px',
			boxShadow:'0 0 20px rgba(0,0,0,.2)'
		});
	});

	$('.vc_ui-template-panel-header-container').find('.vc_ui-tabs-line').children('li:nth-child(2)').hide();
});