<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 * @package DGWork
 */

vc_set_as_theme();
vc_is_updater_disabled();

/* Section Template: Product Template 1 */
add_action( 'vc_load_default_templates_action','dgwork_product_template_1' ); // Hook in
function dgwork_product_template_1() {
    $data               = array(); // Create new array
    $data['name']       = wp_get_theme().' '.__( 'Product Content Template 1', 'dgwork' );
    $data['weight']     = 1; // Weight of your template in the template list
    $data['custom_class'] = 'dgwork_product_template_1'; // CSS class name
    $data['content']    = <<<CONTENT
    [vc_row][vc_column][vc_custom_heading text="Price Plans" font_container="tag:h2|font_size:46px|text_align:center|line_height:1.2em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:700%20bold%20regular%3A700%3Anormal" css_animation="bottom-to-top" mobile_font_size="26px" mobile_line_height="1.2em" css=".vc_custom_1482308830928{margin-top: 0px !important;margin-bottom: 10px !important;}"][vc_custom_heading text="This is subheading text example and you can change or remove the video background via row editing " font_container="tag:p|font_size:26px|text_align:center|color:%23a3a3a3|line_height:1.5em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:300%20light%20regular%3A300%3Anormal" css_animation="bottom-to-top" mobile_font_size="16px" mobile_line_height="1.5em" css=".vc_custom_1482309011217{margin-top: 0px !important;margin-right: 20% !important;margin-left: 20% !important;}"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1482309596385{margin-top: 20px !important;}"][custom_vc_pricetable name="Plan 1" price="$10/mo" button_text="Buy Now" link="#"]
<ul>
 	<li>One theme included</li>
 	<li>12 Months of theme updates</li>
 	<li>Personal License</li>
 	<li>Lifetime usage license</li>
 	<li>PSD files includes</li>
</ul>
[/custom_vc_pricetable][/vc_column_inner][vc_column_inner width="1/3"][custom_vc_pricetable name="Plan 2" price="$20/mo" featured="yes"]
<ul>
 	<li>Five theme included</li>
 	<li>12 Months of theme updates</li>
 	<li>Personal and commercial license</li>
 	<li>Lifetime usage license</li>
 	<li>PSD files includes</li>
 	<li>Unlimited domain usage</li>
 	<li>20% OFF of premium support</li>
</ul>
[custom_vc_edd_button button_text="EDD Buy Button" id="845" aligned="center"]
[/custom_vc_pricetable][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1482309603604{margin-top: 30px !important;}"][custom_vc_pricetable name="Plan 3" price="$30/mo" button_text="Buy Now" link="#"]
<ul>
 	<li>One theme included</li>
 	<li>12 Months of theme updates</li>
 	<li>Personal License</li>
 	<li>Lifetime usage license</li>
 	<li>PSD files includes</li>
</ul>
[/custom_vc_pricetable][/vc_column_inner][/vc_row_inner][vc_text_separator title="Additionals" el_width="70" css_animation="fadeInUp" css=".vc_custom_1482309034909{margin-top: 30px !important;margin-bottom: 0px !important;}"][/vc_column][/vc_row][vc_row gap="30"][vc_column width="1/3"][vc_icon icon_fontawesome="fa fa-gitlab" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="Flexible Layout" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]
<p style="text-align: center;">You can create complex layout for the custom product template, make the product page looks more like an optmized landing page.</p>
[/vc_column_text][/vc_column][vc_column width="1/3"][vc_icon icon_fontawesome="fa fa-bolt" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="Page Builder" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]
<p style="text-align: center;">After enabled Visual Composer page builder for the product post, you can customize the product template with front-end editor visually.</p>
[/vc_column_text][/vc_column][vc_column width="1/3"][vc_icon icon_fontawesome="fa fa-television" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="Predefined Templates" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]
<p style="text-align: center;">We include some predefined section templates in the Visual Composer template list that allow you to create different section layouts fastly.</p>
[/vc_column_text][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" content_placement="middle" parallax="content-moving" parallax_image="615" css=".vc_custom_1482307772375{padding-top: 5% !important;padding-bottom: 5% !important;background-color: #111111 !important;}"][vc_column][vc_custom_heading text="Parallax Section" font_container="tag:h2|font_size:46px|text_align:center|color:%23ffffff|line_height:1.2em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:700%20bold%20regular%3A700%3Anormal" css_animation="bottom-to-top" mobile_font_size="26px" mobile_line_height="1.2em" css=".vc_custom_1482307897821{margin-top: 0px !important;margin-bottom: 0px !important;}"][vc_custom_heading text="This is subheading text example and you can change or remove the video background via row editing" font_container="tag:p|font_size:26px|text_align:center|color:%23ffffff|line_height:1.5em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:300%20light%20regular%3A300%3Anormal" css_animation="bottom-to-top" mobile_font_size="16px" mobile_line_height="1.5em" css=".vc_custom_1482308760297{margin-top: 0px !important;margin-right: 20% !important;margin-left: 20% !important;}"][vc_btn title="Button" style="flat" color="green" align="center" css_animation="bounceInUp"][/vc_column][/vc_row][vc_row full_width="stretch_row_content" content_placement="middle"][vc_column][vc_custom_heading text="Testiminals" font_container="tag:h2|font_size:46px|text_align:center|line_height:1.2em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:700%20bold%20regular%3A700%3Anormal" css_animation="bottom-to-top" mobile_font_size="26px" mobile_line_height="1.2em" css=".vc_custom_1482275861246{margin-top: 0px !important;margin-bottom: 50px !important;}"][custom_vc_testiminals css_animation="bottom-to-top"][custom_vc_testiminal_item name="John" avatar="249" feedback="Donec vel dapibus massa. Nulla gravida euismod lorem, tempus hendrerit est porta eu. Aenean tortor enim, cursus eget euismod vel, euismod in eros."][custom_vc_testiminal_item name="Ane" avatar="186" feedback="Donec vel dapibus massa. Nulla gravida euismod lorem, tempus hendrerit est porta eu. Aenean tortor enim, cursus eget euismod vel, euismod in eros."][/custom_vc_testiminals][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

/* Section Template: Product Template 2 */
add_action( 'vc_load_default_templates_action','dgwork_product_template_2' ); // Hook in
function dgwork_product_template_2() {
    $data               = array(); // Create new array
    $data['name']       = wp_get_theme().' '.__( 'Product Content Template 2', 'dgwork' );
    $data['weight']     = 2; // Weight of your template in the template list
    $data['custom_class'] = 'dgwork_product_template_2'; // CSS class name
    $data['content']    = <<<CONTENT
    [vc_row full_width="stretch_row_content_no_spaces" equal_height="yes" content_placement="middle" css=".vc_custom_1482286900027{margin-top: -40px !important;}"][vc_column css_animation="none" width="1/2" css=".vc_custom_1482305160436{padding-top: 50px !important;padding-right: 50px !important;padding-bottom: 50px !important;padding-left: 50px !important;background-color: #3d3d3d !important;}"][vc_custom_heading text="Main Features" font_container="tag:h2|font_size:66px|text_align:left|color:%23ffffff|line_height:1.6em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:100%20light%20regular%3A100%3Anormal" css_animation="bottom-to-top" tablet_font_size="50px" mobile_font_size="42px" mobile_line_height="1.5em" css=".vc_custom_1482286238585{margin-bottom: 0px !important;}"][vc_column_text]<span style="color:#ccc">Donec vel dapibus massa. Nulla gravida euismod lorem, tempus hendrerit est porta eu. Aenean tortor enim, cursus eget euismod vel, euismod in eros.</span>[/vc_column_text][/vc_column][vc_column css_animation="none" width="1/2" css=".vc_custom_1482305143749{padding-top: 20px !important;padding-right: 20px !important;padding-bottom: 20px !important;padding-left: 20px !important;background-color: #ffffff !important;}"][vc_row_inner css=".vc_custom_1482304983299{margin-bottom: 0px !important;}"][vc_column_inner width="1/2"][vc_icon icon_fontawesome="fa fa-gitlab" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="Flexible Layout" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]

        <p style="text-align: center;">You can create complex layout for the custom product template, make the product page looks more like an optmized landing page.</p>

[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_icon icon_fontawesome="fa fa-television" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="Predefined Templates" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]

	<p style="text-align: center;">We include some predefined section templates in the Visual Composer template list that allow you to create different section layouts fastly.</p>

[/vc_column_text][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner width="1/2"][vc_icon icon_fontawesome="fa fa-bolt" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="Page Builder" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]

	<p style="text-align: center;">After enabled Visual Composer page builder for the product post, you can customize the product template with front-end editor visually.</p>

[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_icon icon_fontawesome="fa fa-ellipsis-h" color="custom" align="center" css_animation="bounceInUp" custom_color="#444444"][vc_custom_heading text="And More" font_container="tag:h4|font_size:1.2rem|text_align:center|line_height:1.5em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:500%20bold%20regular%3A500%3Anormal" css_animation="bottom-to-top"][vc_column_text css_animation="bounceInUp"]

	<p style="text-align: center;">More surprises are waiting for your exploring and customizing.</p>

[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" full_height="yes" equal_height="yes" content_placement="middle" css=".vc_custom_1482167744018{margin-top: 0px !important;margin-bottom: 0px !important;padding-top: 0px !important;padding-bottom: 0px !important;}"][vc_column width="1/2"][vc_single_image img_size="full"][/vc_column][vc_column width="1/2" css=".vc_custom_1482305198934{padding-top: 50px !important;padding-right: 50px !important;padding-bottom: 50px !important;padding-left: 50px !important;background-color: #5ea37e !important;}"][vc_custom_heading text="Splite Section Template" font_container="tag:h2|font_size:46px|text_align:left|color:%23ffffff|line_height:1.2em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:100%20light%20regular%3A100%3Anormal" css_animation="right-to-left" css=".vc_custom_1482287247212{margin-bottom: 10px !important;}"][vc_custom_heading text="You can change the background color or margin/padding space for this column via column editing > Design Options, and replace the content to your own amazing text and media." font_container="tag:p|font_size:18px|text_align:left|color:%23f4f4f4|line_height:1.8em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:300%20light%20regular%3A300%3Anormal" css_animation="right-to-left" css=".vc_custom_1482287259566{margin-top: 0px !important;}"][vc_btn title="Button Example" style="flat" color="white" css_animation="fadeInUp"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" full_height="yes" equal_height="yes" content_placement="middle" css=".vc_custom_1482167744018{margin-top: 0px !important;margin-bottom: 0px !important;padding-top: 0px !important;padding-bottom: 0px !important;}"][vc_column width="1/2" css=".vc_custom_1482305215622{padding-top: 50px !important;padding-right: 50px !important;padding-bottom: 50px !important;padding-left: 50px !important;}"][vc_custom_heading text="Splite Section" font_container="tag:h2|font_size:46px|text_align:left|line_height:1.2em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:100%20light%20regular%3A100%3Anormal" css_animation="right-to-left" css=".vc_custom_1482299215407{margin-bottom: 10px !important;}"][vc_custom_heading text="You can change the background color or margin/padding space for this column via column editing > Design Options, and replace the content to your own amazing text and media." font_container="tag:p|font_size:18px|text_align:left|color:%23a0a0a0|line_height:1.8em" google_fonts="font_family:Roboto%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C500%2C500italic%2C700%2C700italic%2C900%2C900italic|font_style:300%20light%20regular%3A300%3Anormal" css_animation="right-to-left" css=".vc_custom_1482275217224{margin-top: 0px !important;}"][custom_vc_edd_button button_text="EDD Buy Button" id="878"][/vc_column][vc_column width="1/2" css=".vc_custom_1482276514141{background-color: #ffffff !important;}"][vc_single_image img_size="full"][/vc_column][/vc_row][vc_row full_width="stretch_row_content" content_placement="middle" video_bg="yes" video_bg_url="https://www.youtube.com/watch?v=vIK4rnTiWD0" css=".vc_custom_1482276259545{padding-top: 5% !important;padding-bottom: 5% !important;background-color: #0c0c0c !important;}"][vc_column][vc_custom_heading text="Video Section" font_container="tag:h2|font_size:46px|text_align:center|color:%23ffffff|line_height:1.2em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:700%20bold%20regular%3A700%3Anormal" css_animation="bottom-to-top" mobile_font_size="26px" mobile_line_height="1.2em" css=".vc_custom_1482276273932{margin-top: 0px !important;margin-bottom: 5px !important;}"][vc_custom_heading text="This is subheading text example and you can change or remove the video background via row editing" font_container="tag:p|font_size:26px|text_align:center|color:%23fcfcfc|line_height:1.5em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:300%20light%20regular%3A300%3Anormal" css_animation="bottom-to-top" mobile_font_size="16px" mobile_line_height="1.5em" css=".vc_custom_1482276284837{margin-top: 0px !important;margin-right: 5% !important;margin-left: 5% !important;}"][vc_btn title="Button Example" style="flat" color="black" align="center" css_animation="fadeInUp"][/vc_column][/vc_row][vc_row full_width="stretch_row_content" content_placement="middle"][vc_column][vc_custom_heading text="Testiminals" font_container="tag:h2|font_size:46px|text_align:center|line_height:1.2em" google_fonts="font_family:Lato%3A100%2C100italic%2C300%2C300italic%2Cregular%2Citalic%2C700%2C700italic%2C900%2C900italic|font_style:700%20bold%20regular%3A700%3Anormal" css_animation="bottom-to-top" mobile_font_size="26px" mobile_line_height="1.2em" css=".vc_custom_1482275861246{margin-top: 0px !important;margin-bottom: 50px !important;}"][custom_vc_testiminals css_animation="bottom-to-top"][custom_vc_testiminal_item name="John" avatar="249" feedback="Donec vel dapibus massa. Nulla gravida euismod lorem, tempus hendrerit est porta eu. Aenean tortor enim, cursus eget euismod vel, euismod in eros."][custom_vc_testiminal_item name="Ane" avatar="186" feedback="Donec vel dapibus massa. Nulla gravida euismod lorem, tempus hendrerit est porta eu. Aenean tortor enim, cursus eget euismod vel, euismod in eros."][/custom_vc_testiminals][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}