<?php
/**
 * The default template for displaying product archive pages.
 * @package DGWork
 */

$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
get_header(); ?>
	
	<?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   * @Hooked: dgwork_before_main_content();
	   */
	  do_action('dgwork_before_content');
	  do_action('dgwork_before_main_content');
	?>

		<?php if ( have_posts() ) : ?>
            <div class="dgwork-product-grid two-columns">
				<?php 
				/* Start the Loop */ 
				 while ( have_posts() ) : the_post(); 
				   get_template_part( 'template-parts/content', 'downloads');
				 endwhile; 
				 ?>
		    </div>

			<?php echo dgwork_pagenavi(); ?>

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>

	
	    <?php
		  /* Hook: dgwork_after_main_content
		   * @Hooked: dgwork_after_main_content();
		   */
		  do_action('dgwork_after_main_content');
		?>

        <?php get_sidebar('shop'); ?>
	
	    <?php
	    /* Hook: dgwork_after_content
	     * @Hooked: dgwork_after_content();
	     */
		 do_action('dgwork_after_content');	 
	    ?>
  
<?php get_footer(); ?>