<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * * @package DGWork
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">
	    <span class="category"><?php echo get_the_category_list(', ');?></span>
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<div class="title-divider"></div>
	</header><!-- .entry-header -->

	<div class="entry-content">
	    <?php if(has_post_thumbnail()):?>
		    <a href="<?php echo esc_url( get_permalink() );?>" rel="bookmark" class="featured_thumbnail"><?php if(has_post_thumbnail()){the_post_thumbnail('large');}?></a>
            <?php
		    the_excerpt();
			echo '<p><a href="'.esc_url(get_permalink()).'">'.esc_html__('Continue reading','dgwork').' <span class="meta-nav">&rarr;</span></a></p>';
			?>

		<?php 
		  else:
				the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'dgwork' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			    ) );
		  endif;
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'dgwork' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	
	<div class="divider"></div>

	<footer class="entry-footer">
		<?php dgwork_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	<div class="divider"></div>

</article><!-- #post-## -->
