<?php
/**
 * Popup
 * * @package DGWork
 * @since 1.0
 */
global $dgwork_option;
?>

<?php if ( class_exists( 'Easy_Digital_Downloads') ):?>
<div id="dgw_popup">
  <a id="dgw_popup_close">&times;</a>
  
  <!--Search-->
  <div id="dgw_search" class="popup_content">
    <h3><?php esc_attr_e('Search Products','dgwork');?></h3>
	  <form role="search" method="get" id="searchform" class="searchform" action="<?php echo esc_url(home_url( '/' ));?>" >
      <div id="search-container">
        <select id="search_type" name="post_type">
          
          <?php if(class_exists('Easy_Digital_Downloads')):?>
          <option value="download"><?php esc_html_e('Product','dgwork');?></option>
          <?php endif;?>

          <option value="post"><?php esc_html_e('Blog','dgwork');?></option>

        </select>
      <input type="text" id="search_product" placeholder="<?php echo $dgwork_option['search_text'];?>" value="<?php get_search_query();?>" name="s" />
      </div>
    </form>
  </div>

</div>
<?php endif;?>