<?php
/**
 * The grid template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @package DGWork
 */
get_header(); ?>
	
	<?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>
	        <div class="grid_blog">
               <?php               
               /*Start Loop*/
               while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/post', 'loop-grid');
               endwhile;
               ?>
               <?php echo dgwork_pagenavi(); ?>
	        </div>

    <?php
	  /* Hook: dgwork_after_content
	   * @Hooked: dgwork_after_content()
	   */
	  do_action('dgwork_after_content');
	?>
  
<?php get_footer(); ?>