<?php
/**
 * The overlap template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @package DGWork
 */
get_header(); ?>
	
	<?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>
	        <div id="grid" class="overlap_blog">
               <?php               
               /*Start Loop*/
               while (have_posts() ) : the_post();
                  get_template_part( 'template-parts/post', 'loop-overlap');
               endwhile;
               ?>
	        </div>
	        <?php echo dgwork_pagenavi();?>
	        
	<?php
	  /* Hook: dgwork_after_content
	   * @Hooked: dgwork_after_content()
	   */
	  do_action('dgwork_after_content');
	?>
  
<?php get_footer(); ?>