<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
  exit( 'Direct script access denied.' );
}

include(DGWORK_INC_DIR.'admin/tools/minify.php');

do_action('DGWorkAdmin_header');

$allow_tags = array(
    //formatting
    'strong' => array(),
    'em'     => array(),
    'b'      => array(),
    'i'      => array(),

    //links
    'a'     => array(
        'href' => array()
    )
);
?>
    <div class="section">
    	  <div class="box">
            <h3><?php esc_html_e( 'Only 3 Steps For DGWork Theme Setup', 'dgwork'); ?></h3>
            <ol>
                <li><?php printf(wp_kses(__('First of all, please add a valid purchase code in the <a href="%s" target="_blank">"Registration"</a> page to activate the theme auto update.','dgwork'),$allow_tags),admin_url('themes.php?page=registration'));?></li>

    			<li><?php printf(wp_kses(__('Please activate all the required plugins through <a href="%s" target="_blank">DGWork Plugins Installer</a>. After you activated ThemeVan Toolkit, you will see the "Demos" tab in the above menu.','dgwork'),$allow_tags),admin_url('themes.php?page=plugins'));?></li>
    		
        		<li>
        		<?php printf(wp_kses(__('You can one click import all demo content through <a href="%s" target="_blank">Demos</a> page.','dgwork'),$allow_tags), admin_url('themes.php?page=dgwork-demos'));?>
        		</li>
            </ol>
            <p>                       
             <?php printf(wp_kses(__('Additionally, we integrate the theme options into <a href="%s" target="_blank">Customize</a> that allow you to change the font, color scheme, header layout and some other features.
    ','dgwork'),$allow_tags), admin_url('customize.php'));?>
            </p>
          </div>

          <!--<div id="changelog" style="margin-top: 4em;">
            <h2>What's New in DGWork 1.6</h2>
            <div class="feature-section one-col is-wide wp-clearfix">
                <div class="col wp-clearfix">    
                    <div class="alignright">
                        <img src="<?php echo DGWORK_INC_URI;?>admin/img/16/mega-menu.jpg" style="width:200px;" />
                    </div>
                    <h3>Built-in Mega Menu</h3>
                    <p>We include built-in mega menu with deep integration with WPBakery Page Builder. You can create the mega menu via Content Blocks with powerful builder, and select the block for the mega menu option.</p>
                    <a href="https://www.themevan.com/docs/dgwork/#mega-menu" target="_blank" class="button">Learn How To Use</a>
                </div>

                <div class="col wp-clearfix">    
                    <div class="alignright">
                        <img src="<?php echo DGWORK_INC_URI;?>admin/img/16/responsive_pro.jpg" style="width:200px;" />
                    </div>
                    <h3>More Powerful Responsive Options</h3>
                    <p>We bundle Responsive Pro For WPBakery Page Builder plugin that allow you adjust all elements style for different devices separately, make your site more perfect responsive!</p>
                    <a href="https://www.themevan.com/docs/responsive-pro" target="_blank" class="button">Documentation</a>
                </div>

                <div class="col wp-clearfix">    
                    <div class="alignright">
                        <img src="<?php echo DGWORK_INC_URI;?>admin/img/16/shop-notice.jpg" style="width:200px;" />
                    </div>
                    <h3>Shop Notice Bar</h3>
                    <p>Adding the shop notice bar is the most-wanted feature, so we did it in V1.6! Now you can enable the shop notice bar and edit the notice content via the theme options panel.</p>
                </div>

                <div class="col wp-clearfix">    
                    <div class="alignright">
                        <img src="<?php echo DGWORK_INC_URI;?>admin/img/plugins/elegant-blocks.png" style="width:200px;" />
                    </div>
                    <h3>Elegant Blocks</h3>
                    <p>Elegant Blocks plugin offers some common Gutenberg blocks for you writing blog, even complete a sample layout. It's developed by ThemeVan, and we will keep to add more blocks to it.</p>
                </div>

                <div class="col wp-clearfix">    
                    <div class="alignright">
                        <img src="<?php echo DGWORK_INC_URI;?>admin/img/plugins/themevan-core.png" style="width:200px;" />
                    </div>
                    <h3>Say Hi To ThemeVan Toolkit plugin!</h3>
                    <p>We deprecated ThemeVan Shortcodes plugin, and instead, we use rename it to ThemeVan Toolkit for keeping improve some core features more and more better! Once you activated ThemeVan Toolkit, the old ThemeVan Shortcodes plugin will be auto deactivated, just delete it!</p>
                </div>
            </div>
          </div>-->
    </div>

</div>