<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * Update global options to avoid theme conflict
 */
function dgwork_update_elementor_global_option () {
  update_option('elementor_cpt_support', array('page', 'post', 'download'));
  update_option('elementor_container_width', '1100px');
  update_option('elementor_page_title_selector','#dgwork-page-header h1');
  update_option('elementor_disable_color_schemes', 'yes');
  update_option('elementor_disable_typography_schemes', 'yes');
}
add_action('after_switch_theme', 'dgwork_update_elementor_global_option');