<?php
/**
 * dgwork Hooks
 * * @package DGWork
 */

/**
 * Wrapper
 * @see  dgwork_before_content()
 * @see  dgwork_after_content()
 * @see  dgwork_before_main_content()
 * @see  dgwork_after_main_content()
 */
add_action( 'dgwork_before_content', 'dgwork_before_content' );
add_action( 'dgwork_after_content', 'dgwork_after_content');
add_action( 'dgwork_before_main_content', 'dgwork_before_main_content' );
add_action( 'dgwork_after_main_content', 'dgwork_after_main_content' );


/**
 * Header
 * @see dgwork_before_navigation()
 * @see dgwork_custom_logo()
 * @see dgwork_primary_navigation()
 * @see dgwork_top_buttons()
 * @see dgwork_after_navigation()
 */
add_action( 'dgwork_header', 'dgwork_before_navigation',0);
add_action( 'dgwork_header', 'dgwork_custom_logo',10);
add_action( 'dgwork_header', 'dgwork_primary_navigation',20);
add_action( 'dgwork_header', 'dgwork_top_buttons',30);
add_action( 'dgwork_header', 'dgwork_after_navigation',40);
add_action( 'dgwork_after_header','dgwork_cover',10);
add_action( 'dgwork_after_header','dgwork_page_header',10);
add_action( 'dgwork_after_header', 'dgwork_breadcrumbs', 20);

/**
 * Footer
 * @see dgwork_bottom_widgets()	
 * @see dgwork_before_footer()	
 * @see dgwork_copyright()	
 * @see dgwork_after_footer()	
 */
add_action( 'dgwork_footer', 'dgwork_custom_footer', 0);
add_action( 'dgwork_footer', 'dgwork_bottom_widgets',5);
add_action( 'dgwork_footer', 'dgwork_before_footer',10);
add_action( 'dgwork_footer', 'dgwork_copyright',20);
add_action( 'dgwork_footer', 'dgwork_after_footer',30);