<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 * * @package DGWork
 */
if(is_array($_GET)&&count($_GET)>0){
  if(isset($_GET["post_type"])){
     $post_type=$_GET['post_type'];
  }
}
get_header(); ?>

	<?php
	  /* Hook: dgwork_before_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>

		<?php if ( have_posts() ) : ?>

				<?php
				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				if($post_type=='download'){
				   echo '<div class="dgwork-product-grid three-columns">';
				   while ( have_posts() ) : the_post(); 
 				     get_template_part( 'template-parts/content', 'downloads' );
 				   endwhile;
 				   echo '</div>';
				}else{
				   $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				   query_posts(array('post_type'=>'post','posts_per_page'=>get_option('posts_per_page'),'paged'=>$paged));
				   while ( have_posts() ) : the_post(); 
				   get_template_part( 'template-parts/content', 'search' );
				   endwhile;
			    }
				?>

			<?php echo dgwork_pagenavi(); ?>

		<?php else : ?>
			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>
	
	    <?php
	    /* Hook: dgwork_after_content
	     * @Hooked: dgwork_after_content();
	     */
		 do_action('dgwork_after_content');	 
	    ?>
	
<?php get_footer(); ?>