<?php
/**
 * The template for displaying all single posts with fullwidth layout
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 * @package DGWork
 */

get_header(); ?>
	<?php
	  /* Hook: dgwork_before_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php 
			 get_template_part( 'template-parts/content', 'single' ); 
             echo '<div class="divider"></div>';
             dgwork_post_author();
			 dgwork_related_posts();
			 
			 // If comments are open or we have at least one comment, load up the comment template.
			 if ( comments_open() || get_comments_number() ) :
				comments_template();
			 endif;
			?>
			
			<?php dgwork_post_navigation(); ?>

		<?php endwhile; // End of the loop. ?>
	
	    <?php
	    /* Hook: dgwork_after_content
	     * @Hooked: dgwork_after_content();
	     */
		 do_action('dgwork_after_content');	 
	    ?>
<?php get_footer(); ?>