<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 * @package DGWork
 */

if(get_post_meta(get_the_ID(), "_dgwork_post_template", true)=='1' || get_post_meta(get_the_ID(), "_dgwork_post_template", true)==''){
	get_template_part( 'single', 'no-sidebar' );
	die();
}
get_header(); ?>
	<?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   * @Hooked: dgwork_before_main_content();
	   */
	  do_action('dgwork_before_content');
	  do_action('dgwork_before_main_content');
	?>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php 
			 get_template_part( 'template-parts/content', 'single' ); 
             echo '<div class="divider"></div>';
             dgwork_post_author();
			 dgwork_related_posts();
			 
			 // If comments are open or we have at least one comment, load up the comment template.
			 if ( comments_open() || get_comments_number() ) :
				comments_template();
			 endif;
			?>
			
			<?php dgwork_post_navigation(); ?>

		<?php endwhile; // End of the loop. ?>

		<?php
		  /* Hook: dgwork_after_main_content
		   * @Hooked: dgwork_after_main_content();
		   */
		  do_action('dgwork_after_main_content');
		?>
		
		<?php get_sidebar(); ?>
	
	    <?php
	    /* Hook: dgwork_after_content
	     * @Hooked: dgwork_after_content();
	     */
		 do_action('dgwork_after_content');	 
	    ?>
<?php get_footer(); ?>