<?php
/**
 * Template: Posts Masonry Loop
 *
 * @package DGWork
 */
?>             
		<!---Posts-->
		<?php
		  $ex_css='dgw-grid dgw-col6 grid-post';
		?>
		<article <?php post_class($ex_css);?>>
		
		<div class="entry-body container">
		 <?php if(has_post_thumbnail()):?>
		 <div class="thumbnail"><a href="<?php echo esc_url(get_permalink());?>" title="<?php the_title();?>"><?php the_post_thumbnail('large');?></a></div>
		 <?php endif;?>
          
         <div class="grid-content"> 
		    <h4 class="entry-title"><a href="<?php echo esc_url(get_permalink());?>" title="<?php the_title();?>"><?php the_title();?></a></h4>
		    <div class="separator"></div>
	        <div class="entry-meta">
			<?php dgwork_posted_on(); ?>
		    </div><!-- .entry-meta -->

		
		    <div class="entry-content">
		    <?php 
		      the_excerpt();
		    ?>
            <div class="clear"></div>
		    </div><!--entry-content-->
		    <div class="divider"></div>
		    
		    <footer class="entry-footer">
		     <a href="<?php echo esc_url(get_permalink());?>" title="<?php the_title();?>" class="readmore"><?php esc_html_e('Continue to read','dgwork');?> &rarr;</a>
		     <?php dgwork_post_loop_author();?>
		    </footer><!--entry-tools-->
		  </div>
		 </div><!--entry-bodgw-->
		</article><!--post-->